/*
 * @(#)ZInstance.java
 *
 * Copyright 2001 by Intelligent Technology Inc. All rights reserved.
 *
 * Instance Property
 */
package jp.co.iti.fagot.util;

import java.util.Hashtable;
import java.util.Vector;

import jp.co.iti.fagot.util.ZDebug;
/**
 * ストレージに格納されないインスタンス上のプロパティを管理します。
 * undoも行いません。
 *
 * @author  福島康治
 * @version 1.01 2002/10/23
 */
public class ZInstance {

	/**
	 * プロパティ
	 */
	static public ZProperties prop() {
	return mProperty;
	}

	/**
	 * オブジェクトマップ
	 */
	static public Hashtable map() {
	return mMap;
	}

	/**
	 * リストに設定
	 * @param szKey リスト名
	 * @param items リスト
	 */
	static public void setList(String szKey,Vector items) {
	mLists.put(szKey,items);
	}

	/**
	 * リスト
	 * @param szKey リスト名
	 */
	static public Vector list(String szKey) {
	Vector items = (Vector)mLists.get(szKey);
	if ( items == null ) {
		items = new Vector();
		mLists.put(szKey,items);
	}
	return items;
	}

	//## アトリビュート ###############################################
	/**
	 * プロパティ
	 */
	static protected ZProperties mProperty = new ZProperties();

	/**
	 * マップ
	 */
	static protected Hashtable mMap   = new Hashtable();

	/**
	 * リスト
	 */
	static protected Hashtable mLists = new Hashtable();
}
